#include <stdio.h>
#include <stdlib.h>

int main(){
    long long s = 0, N, Q;
    printf("Unesi broj pronalazenja plazme:");
    scanf("%lld", &N);
    printf("Unesi broj pitanja:");
    scanf("%lld", &Q);
    long long d[N], p[N], k[Q];
    for (int i = 0; i < N; i++) {
        printf("Kog dana je otac bio u prodavnci:");
        scanf("%lld", &d[i]);
        printf("Koliko pakovanja je kupio:");
        scanf("%lld", &p[i]);
    }
    for (int j = 0; j < Q; j++) {
        printf("Kog dana je cerka prestala da jede plazmu:");
        scanf("%lld", &k[j]);
    }
    for (int j = 0; j < Q; j++) {
        long long zd = k[j],s= 0,brp= 0;
        for (int i = 0; i < N; i++) {
            if (d[i] > zd)
                break;
            brp+= p[i];
            long long pd;
            if (i == N - 1 || d[i + 1] > zd) {
    pd = zd - d[i] + 1;
}
 else {
    pd = d[i + 1] - d[i];
}
            if (pd > brp) {
                s+= brp;
                brp = 0;
            } else {
                s += pd;
                brp -= pd;
            }
        }
        printf("Cerka je pojela %lld pakovanja do %lld. dana.", s, zd);
    }
    return 0;
}